\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{TMiUM_abstrakt}[2025/04/01 TMiUM abstract class]
\ProcessOptions\relax

\DeclareOption{10pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
  
\ProcessOptions\relax
  
\LoadClass[10pt,a4paper,twoside]{article}
  
\RequirePackage{ucs} % extended UTF-8 input encoding support for LaTeX - CTAN
\RequirePackage[utf8x]{inputenc}
\RequirePackage{mathptmx} % use Adobe Times Roman (or equivalent) as default text font and provide maths support.
\RequirePackage[T1]{fontenc}

%\RequirePackage[dvipdfmx]{graphicx}
\RequirePackage{graphicx}
\RequirePackage{verbatim}
\RequirePackage{tabularx}
\RequirePackage{amsmath,amsfonts,amssymb,amsthm,amsbsy,amsmath}
\RequirePackage{latexsym}
\RequirePackage{bm}
\RequirePackage{a4}
\RequirePackage{fancyhdr}
\RequirePackage{engord}
\RequirePackage{epsfig,vmargin,booktabs}
\RequirePackage{grffile}
\RequirePackage[polish]{babel}

\addto\captionspolish{\renewcommand{\tablename}{Tabela}} % Zmiana "Table" na "Tabela"
\addto\captionspolish{\renewcommand{\figurename}{Rysunek}} % Zmiana "Figure" na "Rysunek"
\renewcommand{\refname}{Piśmiennictwo}

\setpapersize{A4}  % needs vmargin package
\setmarginsrb{17.5mm}{0mm}{12.5mm}{20mm}{20mm}{0mm}{0mm}{0mm}
\parindent=0.0em
\parskip=1.0ex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% SECTIONS 
\renewcommand\section{\@startsection {section}{1}{\z@}{-2.0ex}{0.2ex}{\normalsize\bf}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\AtBeginDocument{%    
  \pagestyle{empty}
  \thispagestyle{fancy}
  \fancyhf{} % clear all header and footer fields
  \renewcommand{\headrulewidth}{0pt}
  \rhead{
    \scriptsize{
      Krajowa Konferencja Robotyki \\
      Sympozjum Teorii Maszyn i Układów Mechatronicznych \\
      \vspace{5mm}
    }
  }
}
\endinput

%%% Additional settings like font sizes etc.
\renewcommand{\figurename}{Rysunek}
\renewcommand{\tablename}{Tabela}
